<?php
namespace Fifa\ConnectServiceBus\Sdk\Authentication;

use Fifa\ConnectServiceBus\Sdk\Authentication\Model\Token;

/**
 * Interface TokenProviderInterface
 * @package Fifa\ConnectServiceBus\Sdk\Authentication
 */
interface TokenProviderInterface
{
    /**
     * Returns the token for API authorization
     *
     * @return Token
     */
    public function getToken();
}